<script lang="ts">
  import { createEventDispatcher } from "svelte";
  import { settingsStore } from "../stores";

  let url: string;
  let adding: boolean;
  const dispatch = createEventDispatcher();

  function onDownloadClick(ev: MouseEvent) {
    ev.preventDefault();
    adding = true;

    let body = new FormData();
    body.append(
      "1fichier_url",
      url.startsWith("https://1fichier.com")
        ? url
        : "https://1fichier.com?" + url
    );
    // @ts-ignore
    const apiUrl = __myapp.env.API_URL;
    fetch(`//${apiUrl}/dl`, {
      method: "POST",
      body,
    })
      .then((resp) => resp.json())
      .then(() => {
        adding = false;
        dispatch("downloadAdded", true);
      })
      .catch((reason) => console.error(reason));

    url = "";
  }
</script>

<div class="w-100 mb-5">
  <div class="input-group mb-3">
    <input
      bind:value={url}
      type="url"
      class="form-control form-control-lg"
      name="1fichier_url"
      placeholder="https://1fichier.com?1234567890"
      required
    />
    <button
      class="btn btn-outline-primary"
      on:click={onDownloadClick}
      disabled={adding || !$settingsStore.apiKey}
      type="submit">Download</button
    >
  </div>
</div>
